## org.eclipse.emf.codegen.jmerge
Class JControlModel.Feature

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel.Feature
          org.eclipse.emf.codegen.jmerge.JControlModel.Feature

Enclosing class:
  JControlModel

Deprecated. in 2.2.0. Use `JControlModel.Feature` instead.

    @Deprecated
    public static class JControlModel.Feature

extends JControlModel.Feature

Field Summary
`protected java.lang.String` `classPrefix`

Fields inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.Feature
`featureClass, featureMethod`

Constructor Summary
`JControlModel.Feature(java.lang.String path, java.lang.Class[] parameterTypes)` Deprecated.

Method Summary
`java.lang.String` `getClassPrefix()`
`protected void` `setClassPrefix(java.lang.String classPrefix)`

Methods inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.Feature
`getFeatureClass, getFeatureMethod, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel.Feature

    public JControlModel.Feature(java.lang.String path,
                                 java.lang.Class[] parameterTypes)

  Deprecated.

Method Detail

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.